#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Convert
%define		pnam	Color
%include	/usr/lib/rpm/macros.perl
Summary:	Convert::Color - color space conversions and named lookups
Name:		perl-Convert-Color
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Convert/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5d4ec8b804100dca53c6c406f2a83f4c
URL:		http://search.cpan.org/dist/Convert-Color/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(List::UtilsBy)
BuildRequires:	perl-Test-Number-Delta
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides conversions between commonly used ways to express
colors. It provides conversions between color spaces such as RGB and
HSV, and it provides ways to look up colors by a name.

This class provides a base for subclasses which represent particular
color values in particular spaces. The base class provides methods to
represent the color in a few convenient forms, though subclasses may
provide more specific details for the space in question.

For more detail, read the documentation on these classes; namely:

The following classes are subclasses of one of the above, which
provide a way to access predefined colors by names:

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Convert/*.pm
%{perl_vendorlib}/Convert/Color
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Feb 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Convert-Color.git;a=log;h=auto/th/perl-Convert-Color-0.11-1

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0997c4a
- up to 0.11

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> e6cc6a2
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2c79175
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 317ba7a
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 28af139
- up to 0.10

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ac45bb8
- up to 0.09

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> a13c155
- added

